Added

Update payment metadata

Platforms now have the ability to update metadata on existing payins, refunds, chargebacks, and ACH returns. This enables platforms to associate additional information to payments at any time.

PATCH /payins/:payin_id/metadata
PATCH /refunds/:refund_id/metadata
PATCH /chargebacks/:chargeback_id/metadata
PATCH /ach_returns/:ach_return_id/metadata

What can be stored in metadata

The request body accepts any JSON key-value paired object specified by the platform. Updating metadata must follow the two constraints:

  1. Metadata must be less than or equal to 8 KB.

  2. Metadata can only be updated using an API key. This request should not be made by your frontend and should only be done by backend logic that only the platform can complete.

How to use the update endpoints

Updating metadata will merge with the existing metadata stored on the payment by the top-level key.

If the same top-level key is passed in this request, it will overwrite the value stored on the payment. Only keys included in the payload will be updated.

To remove a key, set the key's value to null.

To remove all metadata, pass null for the metadata value.

Filtering on metadata on the entities list endpoints is supported, and will reflect updated values after a patch is applied.

Please contact support if you have any questions.